<?xml version="1.0" encoding="UTF-8"?>

<module xmlns="urn:jboss:module:1.1" name="org.jboss.gravia">
    <properties>
        <property name="jboss.api" value="private"/>
    </properties>

    <resources>
        <resource-root path="gravia-provision-1.1.0.Alpha3.jar"/>
        <resource-root path="gravia-repository-1.1.0.Alpha3.jar"/>
        <resource-root path="gravia-resolver-1.1.0.Alpha3.jar"/>
        <resource-root path="gravia-resource-1.1.0.Alpha3.jar"/>
        <resource-root path="gravia-runtime-api-1.1.0.Alpha3.jar"/>
        <resource-root path="gravia-runtime-embedded-1.1.0.Alpha3.jar"/>
        <resource-root path="org.apache.felix.configadmin-1.6.0.jar"/>
        <resource-root path="org.apache.felix.log-1.0.1.jar"/>
        <resource-root path="org.apache.felix.metatype-1.0.8.jar"/>
        <resource-root path="org.apache.felix.scr-1.6.2.jar"/>
    </resources>

    <exports>
        <include path="org/jboss/gravia/provision"/>
        <include path="org/jboss/gravia/resource"/>
        <include path="org/jboss/gravia/resolver"/>
        <include path="org/jboss/gravia/repository"/>
        <include path="org/jboss/gravia/runtime"/>
        <include path="org/osgi/service/cm"/>
        <include path="org/osgi/service/component"/>
        <include path="org/osgi/service/log"/>
        <include path="org/osgi/service/metatype"/>
    </exports>
    
    <dependencies>
        <module name="javax.api"/>
        <module name="org.osgi.core"/>
        <module name="org.osgi.enterprise"/>
        <module name="org.slf4j"/>
    </dependencies>

</module>
